Child Address Execute
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/execute \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"accountIdentifier": "8034007516",
"amount": 0.5,
"assetId": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"code": "956407",
"currency": "NGN",
"institutionIdentifier": "OPAYNGPC"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/execute"
payload = {
"accountIdentifier": "8034007516",
"amount": 0.5,
"assetId": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"code": "956407",
"currency": "NGN",
"institutionIdentifier": "OPAYNGPC"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountIdentifier: '8034007516',
amount: 0.5,
assetId: '37079b6b-b74f-48e9-a394-9a5cbae88f12',
code: '956407',
currency: 'NGN',
institutionIdentifier: 'OPAYNGPC'
})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference": "8034007516",
"data": {
"gateway": "0x30F6A8457F8E42371E204a9c103f2Bd42341dD0F",
"senderFee": {
"hex": "0x00",
"type": "BigNumber"
},
"senderFeeRecipient": "0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092",
"transaction": {
"amlScreening": {},
"amount": "0.5",
"amountPaid": "0.5",
"amountUSD": "0.5",
"asset": null,
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": null,
"blockNumber": null,
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"chainId": null,
"confirmations": null,
"confirmed": false,
"createdAt": "2026-01-24T21:05:10.778Z",
"createdChannel": "dashboard",
"currency": "USD",
"fee": "0",
"feeHash": null,
"feeUSD": "0",
"gasFee": null,
"gasPrice": null,
"gasUsed": null,
"hash": null,
"id": "f93c28b7-d8f7-43ab-9373-22a9a8931177",
"isAutoSweep": false,
"metadata": {
"businessId": "6271be9f-b48a-4e6d-b14b-b76629bc7014",
"businessProviderId": "1c40879e-c340-4308-92d9-30bdb34b3b84"
},
"network": "mainnet",
"note": "Method: createOrder | Contract Address: 0x30F6A8457F8E42371E204a9c103f2Bd42341dD0F",
"processingReason": null,
"processingStatus": "PENDING",
"rate": "1465.14",
"rateUSD": "1",
"reason": "{\"method\":\"createOrder\",\"parameters\":[\"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913\",{\"type\":\"BigNumber\",\"hex\":\"0x07a120\"},{\"type\":\"BigNumber\",\"hex\":\"0x023c52\"},\"0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092\",{\"type\":\"BigNumber\",\"hex\":\"0x00\"},\"0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092\",\"HblZl+1ItFI/v98ewxY6gq/d+9KqzfjDHGKva2r4KzKFqE19Q+1+IA7w2PE0yKJxB26jNjXYCN32IAnH129K232soxCPXVYRRX+jSps9yOtwUUi0ZPRfInqJXKubGXOJPiQnr9bg81fAkr2+DY9oMMB1u0gzDptBkq3FykFqMYMeXVeyepE0IO2ZJLa7Jk5BtgBP7iQwj7W+PknC8/0rvIz6czDgzFpssTb5QYGR/nPlEUWgHmu5DUD+22wxd/xA/Cm8Y7DWHMCRvNG+0FpVLa2OlPK4f4dI0hKZsuG5iaEl6/ucgHvupl3fAHISnwOqZgM5RvxF8iM5XKvBJkEyZg==\"],\"abi\":{\"inputs\":[{\"internalType\":\"address\",\"name\":\"_token\",\"type\":\"address\"},{\"internalType\":\"uint256\",\"name\":\"_amount\",\"type\":\"uint256\"},{\"internalType\":\"uint96\",\"name\":\"_rate\",\"type\":\"uint96\"},{\"internalType\":\"address\",\"name\":\"_senderFeeRecipient\",\"type\":\"address\"},{\"internalType\":\"uint256\",\"name\":\"_senderFee\",\"type\":\"uint256\"},{\"internalType\":\"address\",\"name\":\"_refundAddress\",\"type\":\"address\"},{\"internalType\":\"string\",\"name\":\"messageHash\",\"type\":\"string\"}],\"name\":\"createOrder\",\"outputs\":[{\"internalType\":\"bytes32\",\"name\":\"orderId\",\"type\":\"bytes32\"}],\"stateMutability\":\"nonpayable\",\"type\":\"function\"}}",
"recipientAddress": "0x30F6A8457F8E42371E204a9c103f2Bd42341dD0F",
"reference": "Cy1NqiVNDw7Ajsj1yECX",
"senderAddress": "0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092",
"signedTransaction": null,
"status": "PENDING",
"toAmount": "732570000",
"toCurrency": null,
"tokenAddress": "0x30F6A8457F8E42371E204a9c103f2Bd42341dD0F",
"type": "OFFRAMP",
"updatedAt": "2026-01-24T21:05:10.778Z",
"wallet": {
"address": "0x969838345E5cd5F755DfcADB57e72F5d23271e48",
"configurations": {
"addresses": {
"prefunding": {
"isActive": false,
"rules": []
}
},
"autoSettlement": {
"isActive": false,
"rules": []
},
"autoSweeping": {
"isActive": true,
"threshold": 0
},
"withdrawal": {
"gasless": {
"isActive": false,
"operator": "gt",
"threshold": 0
}
}
},
"createdAt": "2026-01-20T08:44:44.305Z",
"derivationPath": "m/44'/60'/0'/0/0",
"description": "This is Base master Wallet",
"id": "7aa5120b-2106-43c6-92c7-6458b7d2de8b",
"isActive": true,
"name": "Base Mainnet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2026-01-20T08:44:44.305Z"
}
}
},
"message": "Withdraw fiat execution initiated",
"statusCode": 200
}Child Address Execute
Child Address Execute
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
withdraw
/
fiat
/
execute
Child Address Execute
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092"
Body
application/json
destination bank account identifier
Example:
"8034007516"
amount to withdraw in asset units
Example:
0.5
asset ID of the stablecoin to withdraw
Example:
"37079b6b-b74f-48e9-a394-9a5cbae88f12"
destination fiat currency code
Example:
"NGN"
bank or institution identifier code
Example:
"OPAYNGPC"
client reference for tracking transaction
Example:
8034007516
Example:
"956407"
⌘I

